# Method: customers.submitBrandLiftBenchmark

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitBrandLiftBenchmark#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitBrandLiftBenchmark#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitBrandLiftBenchmark#body.request_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitBrandLiftBenchmark#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitBrandLiftBenchmark#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitBrandLiftBenchmark#body.aspect)

Starts ADH import of a specified BigQuery table populated with the quarterly brand lift benchmark report generated by the customer. This is called by the customer to trigger ADH to import the report.

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{customer=customers/*}:submitBrandLiftBenchmark`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Ads Data Hub customer making the request. This is in the form of 'customers/\[customerId\]'. e.g. 'customers/123'. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "year": integer, "quarter": integer, "sourceTable": string, "instance": string } ``` |

| Fields ||
|---|---|
| `year` | `integer` Required. Year that the benchmark report is for. In the format of YYYY(e.g., 2023). |
| `quarter` | `integer` Required. Quarter that the benchmark report is for. Allowed values are 1, 2, 3, 4. e.g., when submitting report for 2023 Q1, the value should be 1. |
| `sourceTable` | `string` Required. Source BigQuery table for query results in the format 'project.dataset.table_name'. The project, dataset, and table_name must all be provided explicitly. Please refer to Brand Lift Benchmark Schema on ADH Dev Site for detailed schema requirements about the table. |
| `instance` | `string` Optional. The name of the submission feed instance. This shouldn't be populated for the production brand lift feed, but can be filled out with a prearranged instance name when a vendor works with Google to test a new or alternate version of their submission feed. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`